<template>
  <div class="single-kurs">
  	<div v-if="loaded">
	   	<h3>Kurs details</h3>
	   	<div class="card">
	      <div class="card-header">
	        header
	      </div>
	      <div class="card-body">
	      	<p >No: {{kursNo}}</p>
	        <p >Mata Uang: {{kursCurrency}}</p>
	        <p >Nilai: ${{kursValue}}</p>
          <p >Perubahan: ${{kursShift}}</p>
	        <router-link :to="'/kurs'" class="btn btn-primary"> Back </router-link>
	      </div>
		</div>
    </div>
    <div v-else> 
    	<h3>Loading...</h3>
    </div>
  </div>
</template>

<script>
import axios from 'axios'
export default {
    name: 'ProductPage',
    data () {
        return {
            kursNo:'',
            kursCurrency: '',
            kursValue: '',
            kursShift: '',
            loaded: false
        }
    },
    beforeCreate (){
        axios.get('http://localhost:8000/api/v1/kurs/'+this.$route.params.id+'/', {
          headers: {
            'Content-Type': 'application/json',
            'Authorization': '88HEAD '+sessionStorage.getItem('token')
          }
        })
        .then(response => {
            this.kursNo = response.data.no
            this.kursCurrency = response.data.currency
            this.kursValue = response.data.value
            this.kursShift = response.data.shift
            this.loaded = true
        })
        .catch(e => {
          console.log(e.response)
        })
    }
}
</script>

<style scoped>
h3{
  text-align: center;
  margin-top: 30px;
  margin-bottom: 20px;
}
</style>